> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create location

> Create location



## OpenAPI

````yaml /api-reference/openapi.json post /api/locations
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/locations:
    post:
      tags:
        - Locations
      summary: Create location
      description: Create location
      operationId: postApiLocations
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                type:
                  type: string
                  enum:
                    - office
                    - branch
                    - field
                address:
                  type: string
                geofence:
                  anyOf:
                    - type: object
                      properties:
                        lat:
                          type: number
                        lng:
                          type: number
                        radiusM:
                          type: integer
                          exclusiveMinimum: 0
                          maximum: 9007199254740991
                      required:
                        - lat
                        - lng
                        - radiusM
                    - type: 'null'
                timezone:
                  type: string
              required:
                - name
                - type
                - address
                - geofence
                - timezone
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  orgId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  name:
                    type: string
                    minLength: 1
                  type:
                    type: string
                    enum:
                      - office
                      - branch
                      - field
                  address:
                    type: string
                  geofence:
                    anyOf:
                      - type: object
                        properties:
                          lat:
                            type: number
                          lng:
                            type: number
                          radiusM:
                            type: integer
                            exclusiveMinimum: 0
                            maximum: 9007199254740991
                        required:
                          - lat
                          - lng
                          - radiusM
                      - type: 'null'
                  timezone:
                    type: string
                required:
                  - id
                  - orgId
                  - name
                  - type
                  - address
                  - geofence
                  - timezone
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````